# Local file reader

FileReader class instance looks up MIB files in given directories on the host running PySMI.

class pysmi.reader.localfile.FileReader(path, recursive=True, ignoreErrors=True)

  Fetch ASN.1 MIB text by name from local file.

  FileReader class instance tries to locate ASN.1 MIB files by name, fetch and return their contents to caller.

  Create an instance of FileReader serving a directory.

  Parameters:

    path (str) – directory to search MIB files

  Keyword Arguments:

    - recursive (bool) – whether to include subdirectories

    - ignoreErrors (bool) – ignore filesystem access errors